#include <htc.h>
#include "user_define_amfm.h"
#include "lcd_sub.h"

unsigned short	ad_lev_in;
unsigned short	vol_level;
unsigned short	vol_level_m;

/*----------  A/D ----------*/
void	ad_input_an1(void)
{
unsigned char data;

	ADCON0=0b10000100;	/* Fosc/32,AN1 */
	__delay_us(20);
	ADCON0=0b10000101;
	NOP();
	ADCON0=0b10000111;
	NOP();
	data=ADCON0;
	while((data & 0x02)==0x02){
		data=ADCON0;
		NOP();
	}	
	ad_lev_in=ADRESH*256+ADRESL;
}
unsigned int	vol_yomi(void)
{
unsigned short	sa;
unsigned short	vol;
unsigned char i;	

	ad_input_an1();
	vol_level=ad_lev_in;
	if(vol_level>vol_level_m){
		sa=vol_level-vol_level_m;
	}
	if(vol_level<=vol_level_m){
		sa=vol_level_m-vol_level;
	}
	if(sa>=FREQ_MANUAL_DIV_SA){
		vol_level_m=vol_level;
	}
	else{
		vol_level=vol_level_m;
	}
	vol_level=vol_level/FREQ_MANUAL_DIV_AIR;
	vol_level=vol_level*FREQ_STEP_AIR+FREQ_MIN_AIR;

	return vol_level;
}